## epiphany 0.5.1

=== Makefile ===
CXX=g++
DEBUGFLAGS=-DDEBUG_MODE
RM=rm
RMFLAGS=-f
OPTFLAGS=-O2
EXE=epiphany
LIBS=-lclanSound -lclanDisplay -lclanApp -lclanCore 
OBJECTS=sfx.o main.o level.o sample.o entity.o levelmap.o spriteset.o \
	game_timer.o myparser.o epimap.cpp emdlparser.o entity_gem.o \
	entity_door.o entity_wood.o \
	entity_brick.o entity_player.o entity_falling.o entity_emerald.o \
	entity_peperon.o entity_sapphire.o entity_flintstone.o \
	entity_explosion.o entity_monster.o entity_boulder.o entity_tomato.o\
	entity_steel.o entity_grass.o entity_exit.o entity_key.o pointer.o \
	screen.o sprite.o menu.o game.o

RESOURCE=-DRESOURCE_PATH="\".\""

%.o: %.cpp
	$(CXX) $(OPTFLAGS) $(DEBUGFLAGS) $(RESOURCE) -c $^

$(EXE): $(OBJECTS)
	$(CXX) $(OPTFLAGS) $(DEBUGFLAGS) $(OBJECTS) $(DATAFILE) -o $(EXE) $(LIBS)

clean:
	$(RM) $(RMFLAGS) *.o core ./$(EXE) gmon.out

converter: converter.cpp
	$(CXX) $(DEBUGFLAGS) converter.cpp -o converter

## epiphany 0.7.0

=== debian/changelog ===
epiphany (0.7.0-6) unstable; urgency=low

  * debian/epiphany-game.6
  - Updated manpage with options (Closes: #667734)
  * epiphany-game.desktop
  - Added German translation (Closes: #667735)
  * debian/copyright
  - Update to Copyright Format 1.0
  * debian/rules
  - Added build-arch and build-indep targets (thanks lintian!)
  * debian/control
  - Updated Standards-Version to 3.9.3 (no other changes)

 -- Ricardo Mones <mones@debian.org>  Tue, 10 Apr 2012 16:08:23 +0200

epiphany (0.7.0-5) unstable; urgency=low

  * debian/control
  - Added homepage field
  - Updated Standards-Version to 3.9.1 (no other changes)
  - Added ${misc:Depends} to binary packages (thanks lintian!)
  * debian/copyright
  - Updated some year ranges
  * Switch to dpkg-source 3.0 (quilt) format

 -- Ricardo Mones <mones@debian.org>  Fri, 31 Dec 2010 02:09:54 +0100

epiphany (0.7.0-4) unstable; urgency=low

  * debian/rules
  - Add link to the appropriate automake scripts (Closes: #543037)
  * debian/control
  - Improved short description for -data (Closes: #500209)
  - Ensure libsdl1.2debian version (Closes: #509358)
  - Updated Standards-Version, no other changes required
  - Better long description for -data

 -- Ricardo Mones <mones@debian.org>  Sun, 20 Sep 2009 00:52:18 +0200

epiphany (0.7.0-3) unstable; urgency=low

  * debian/watch
  - Fix upstream source tarball name
  * debian/control
  - Update Standards-Version to latest, no other changes required
  * Add versioned dependency on libsdl1.2-dev to ensure a working
    audio (Closes: #509358)
  * debian/rules
  - Removed obsolete dh_desktop call (thanks lintian!)

 -- Ricardo Mones <mones@debian.org>  Sun, 19 Jul 2009 16:55:50 +0200

epiphany (0.7.0-2) unstable; urgency=low

  * Reviewed copyright and switched to machine-parsable format
  * Added Spanish translation for comment and name to desktop file

 -- Ricardo Mones <mones@debian.org>  Tue, 29 Apr 2008 07:43:26 +0200

epiphany (0.7.0-1) unstable; urgency=low

  * New upstream version (Closes: #450413)
  * Removed clanlib dependency, added new SDL depends and automake
  * Removed dpatch-ification, no patches are required
  * Added configure target in rules with corresponding DEB_ vars
  * Added cleanup of upstream .cvsignore files in -data package
  * Removed encoding, added Icon= in desktop file (Closes: #407356)
  * Compatibility specification moved to compat file
  * Fixed obsolete Source-Version usage to binary:Version
  * Updated to newer Standards-Version
  * Changed section to Games/Action according menu policy
  * Fixed watch file (Closes: #449955) 
    from patch by Raphael Geissert <atomo64@gmail.com>

 -- Ricardo Mones <mones@debian.org>  Fri, 28 Dec 2007 10:43:35 +0100

epiphany (0.5.1-5) unstable; urgency=low

  * Add icon name to desktop file (Closes: #407356)
    Original patch by Mark Purcell <msp@debian.org> 

 -- Ricardo Mones <mones@debian.org>  Sat, 20 Jan 2007 12:32:59 +0100

epiphany (0.5.1-4) unstable; urgency=low

  * Add desktop file used by Ubuntu from the original patch sent 
    by Sarah Hobbs <hobbsee@kubuntu.org>

 -- Ricardo Mones <mones@debian.org>  Wed, 23 Aug 2006 14:29:40 +0200

epiphany (0.5.1-3) unstable; urgency=low

  * Acknowledge NMU and incorporate patch cleanly (Closes: #377110)
  * Conflict and replace unsplitted versions (Closes: #373978)

 -- Ricardo Mones <mones@debian.org>  Sun,  9 Jul 2006 01:00:03 +0200

epiphany (0.5.1-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Define RESOURCE_PATH="/usr/share/epiphany" in the Makefile; fixes
    segfault on startup, patch from Mohammed Sameer. (Closes: #374408)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu,  6 Jul 2006 20:39:19 +0200

epiphany (0.5.1-2) unstable; urgency=low

  [ Joerg Jaspert ]
  * Drop patch to upstream makefile, "rename" epiphany to epiphany-game in
    debian/rules

  [ Ricardo Mones ]
  * Newer Standards-Version, new Uploaders, DH_COMPAT level set to 5
  * Moved arch-independent game data into new package epiphany-data
  * Improved description (thanks schizo) (Closes: #297681)
  * New icon (modified to fit standard - original thanks msp) (Closes: #319189)
  * Fixed quotation in debian/menu strings (thanks lintian!)
  * Updated debian/watch version, changed regex to avoid -bin tarballs

 -- Ricardo Mones <mones@debian.org>  Tue, 30 May 2006 15:27:41 +0200

epiphany (0.5.1-1) unstable; urgency=low

  * Acknowledge NMU and include Build-Depends Changes into my source.. (Closes: #178446)
  * New Upstream Version
  * Newer Standards-Version
  * Bug fix: "epiphany: name clase with epiphany-browser", rename it to epiphany-game 
    to fix it. Gnome-Upstream is unable to rename their (younger) browser (Closes: #216489)

 -- Joerg Jaspert <joerg@debian.org>  Sat,  1 Nov 2003 11:46:21 +0100

epiphany (0.4.2-1.1) unstable; urgency=low

  * NMU
  * Changed build dependency from clanlib-dev to libclanlib-dev to produce an
    installable package again. (Closes: #178446)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 27 Apr 2003 19:53:28 +0200

epiphany (0.4.2-1) unstable; urgency=low

  * New Upstream Release.

 -- Joerg Jaspert <joerg@debian.org>  Fri, 30 Aug 2002 13:09:11 +0200

epiphany (0.4.0-1) unstable; urgency=low

  * New Upstream Release.
  * Standards-Version 3.5.6.1, debhelper >= 4.0.0 used.
  * Changed description a bit.

 -- Joerg Jaspert <joerg@debian.org>  Tue, 27 Aug 2002 01:40:27 +0200

epiphany (0.3.0-1) unstable; urgency=low

  * New upstream release
  * Changed debian/watch to match with the new fucking Sourceforge
    Interface. Sourceforge sucks!

 -- Joerg Jaspert <joerg@debian.org>  Sun,  5 May 2002 15:24:17 +0200

epiphany (0.2.6-1) unstable; urgency=low

  * New upstream release 
  * Changed needs?text to needs=X11 in the Menufile. (closes: #144459)

 -- Joerg Jaspert <joerg@debian.org>  Thu, 25 Apr 2002 20:54:09 +0200

epiphany (0.2.5-1) unstable; urgency=low

  * New upstream release
    Wow, there was a day without one. I cant believe it.



=== debian/control ===
Source: epiphany
Section: games
Priority: optional
Maintainer: Joerg Jaspert <joerg@debian.org>
Uploaders: Ricardo Mones <mones@debian.org>
Build-Depends: debhelper (>> 5), automake, libsdl1.2-dev (>= 1.2.13-4), 
 libsdl-mixer1.2-dev
Standards-Version: 3.9.3
Homepage: http://epiphany.sourceforge.net/site/

Package: epiphany
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 epiphany-data (>= ${Upstream-Version}), libsdl1.2debian (>= 1.2.13-4)
Description: clone of Boulder Dash game
 Epiphany is a multi-platform clone of Boulder Dash.
 In this game, the player must collect all the valuable minerals
 scattered in each level, while avoiding being hit by a falling
 boulder or, worse, by a bomb.
 .
 Boulder Dash was one of the best games ever made for the
 Commodore 64.

Package: epiphany-data
Architecture: all
Depends: ${misc:Depends}
Conflicts: epiphany (<< 0.5.1-2)
Replaces: epiphany (<< 0.5.1-2)
Recommends: epiphany (>= ${binary:Version})
Description: required data files for epiphany game
 This package provides all architecture-independent data files
 required for playing with epiphany.
 .
 Epiphany is a multi-platform clone of Boulder Dash, one of the
 best games ever made for the Commodore 64.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

PACKAGE := epiphany
pwd=$(shell pwd)

TOPDIR := $(shell pwd)
t = ${TOPDIR}/debian/epiphany
d = ${TOPDIR}/debian/epiphany-data

UPSTREAM_VERSION = $(shell /bin/bash ${TOPDIR}/debian/get-ups-ver.sh ${TOPDIR})

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

configure-stamp: configure
	for a in depcomp missing install-sh ; \
	do ln -sf /usr/share/automake-*/$$a ; \
	done
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr
	touch configure-stamp

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	$(MAKE) # DEBUGFLAGS="" OPTFLAGS='$(CFLAGS)'
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	cp src/epiphany-game $(t)/usr/games/epiphany-game
	rm -f data/maps/.cvsignore data/gfx/.cvsignore data/sfx/.cvsignore
	cp -a data/maps data/gfx data/sfx $(d)/usr/share/epiphany
	cp data/epiphany.scr $(d)/usr/share/epiphany
	cp debian/epiphany-game.xpm $(t)/usr/share/pixmaps
	cp debian/epiphany-game.desktop $(t)/usr/share/applications

binary-indep: 

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installman
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- -VUpstream-Version=$(UPSTREAM_VERSION)
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://sf.net/epiphany/epiphany-src-([\d\.]+)\.tar\.gz debian uupdate

## epiphany 0.7.0%2B0

=== debian/watch ===
version=4
opts="dversionmangle=s/\+\d$//" \
https://sf.net/@PACKAGE@/@PACKAGE@-src-@ANY_VERSION@@ARCHIVE_EXT@ \
debian uupdate

## epiphany 0.7.0+0

=== debian/changelog ===
epiphany (0.7.0+0-8) unstable; urgency=medium

  * Refresh and rename current patches
  * New patch to honor CXXFLAGS when building (Closes: #1112457)
  * Update Standards-Version to 4.7.2 with no other changes
  * Update Homepage URL to a working one
  * Update watch file to version 5

 -- Ricardo Mones <mones@debian.org>  Wed, 12 Nov 2025 20:02:56 +0100

epiphany (0.7.0+0-7) unstable; urgency=medium

  * epiphany-data: Add Multi-Arch: foreign
  * Add some values for upstream metadata
  * Do not remove PIE from hardening options.
    Thanks to Adrian Bunk for the patch. (Closes: #859359)
  * Raise compat level and simplify rules
  * Update Standards-Version to 4.6.0, with no other changes
  * Add Rules-Requires-root field
  * Remove obsolete menu file
  * Update copyright years range

 -- Ricardo Mones <mones@debian.org>  Sat, 12 Feb 2022 22:54:59 +0100

epiphany (0.7.0+0-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespaced
  * Use secure URI in debian/watch
  * Update standards version to 4.4.1, no changes needed
  * Set debhelper-compat version in Build-Depends
  * Set upstream metadata fields: Archive, Screenshots

  [ Ricardo Mones ]
  * Update year range in copyright

 -- Ricardo Mones <mones@debian.org>  Thu, 09 Jan 2020 15:09:51 +0100

epiphany (0.7.0+0-5) unstable; urgency=medium

  * debian/control, debian/compat, debian/rules
  - Update debhelper compat level to 12 and remove unnecessary
    dependencies and dh flags
  * debian/control
  - Update Standards-Version to 4.3.0
  * debian/copyright
  - Update format URL protocol and year
  * debian/watch
  - Update file format to version 4 and unmangle debian version

 -- Ricardo Mones <mones@debian.org>  Wed, 09 Jan 2019 23:20:31 +0100

epiphany (0.7.0+0-4) unstable; urgency=medium

  * debian/control
  - Update Standards-Version to 4.2.1 (no other changes)
  - Update Vcs-* to current URLs in salsa
  * debian/control, debian/compat
  - Bump debhelper compat level to 11

 -- Ricardo Mones <mones@debian.org>  Tue, 28 Aug 2018 02:06:32 +0200

epiphany (0.7.0+0-3) unstable; urgency=medium

  * patches/unravel-sprintf.diff
  - Patch to simplify string handling (Closes: #767904)

 -- Ricardo Mones <mones@debian.org>  Tue, 04 Nov 2014 01:43:33 +0100

epiphany (0.7.0+0-2) unstable; urgency=medium

  * debian/rules, epiphany.install, epiphany-data.install
  - Move copy commands to install files to ensure directories
    exist before copying and fix FTBFS in autobuilders

 -- Ricardo Mones <mones@debian.org>  Thu, 09 Oct 2014 12:45:20 +0200

epiphany (0.7.0+0-1) unstable; urgency=medium

  * Repackaged upstream version 0.7.0 to remove embedded library
    and unsafe symlinks, see README.source (thanks lintian!)
  * debian/control, debian/patches/use-shared-tinyxml.diff
  - Add patch to be able to build against shared tinyxml library
  * debian/rules, debian/compat, debian/control
  - Switch to debhelper sequencer, set compat level to 9 and
    enable all hardening options except PIE
  * debian/copyright
  - Update year range
  * debian/control
  - Updated Standards-Version to 3.9.6 (no other changes)
  - Remove Conflicts/Replaces with version beneath oldstable
  - Moved from private svn to git at collab-maint, set Vcs-* URLs
  * debian/epiphany-game.desktop
  - Add some relevant Keywords

 -- Ricardo Mones <mones@debian.org>  Thu, 09 Oct 2014 01:35:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,13 @@
 Priority: optional
 Maintainer: Joerg Jaspert <joerg@debian.org>
 Uploaders: Ricardo Mones <mones@debian.org>
-Build-Depends: debhelper (>> 5), automake, libsdl1.2-dev (>= 1.2.13-4), 
- libsdl-mixer1.2-dev
-Standards-Version: 3.9.3
-Homepage: http://epiphany.sourceforge.net/site/
+Build-Depends: debhelper-compat (= 13), automake,
+ libsdl1.2-dev (>= 1.2.13-4), libsdl-mixer1.2-dev, libtinyxml-dev
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
+Homepage: https://sourceforge.net/projects/epiphany/
+Vcs-Git: https://salsa.debian.org/games-team/epiphany.git
+Vcs-Browser: https://salsa.debian.org/games-team/epiphany
 
 Package: epiphany
 Architecture: any
@@ -24,9 +27,8 @@
 Package: epiphany-data
 Architecture: all
 Depends: ${misc:Depends}
-Conflicts: epiphany (<< 0.5.1-2)
-Replaces: epiphany (<< 0.5.1-2)
 Recommends: epiphany (>= ${binary:Version})
+Multi-Arch: foreign
 Description: required data files for epiphany game
  This package provides all architecture-independent data files
  required for playing with epiphany.

=== debian/rules ===
#!/usr/bin/make -f

TOP := $(shell pwd)
UPSTREAM_VERSION := $(shell /bin/bash ${TOP}/debian/get-ups-ver.sh ${TOP})

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_before_dh_install:
	rm -f data/maps/.cvsignore data/gfx/.cvsignore data/sfx/.cvsignore

override_dh_gencontrol:
	dh_gencontrol -- -VUpstream-Version=$(UPSTREAM_VERSION)

=== debian/watch ===
Version: 5
Source: https://sf.net/@PACKAGE@/
Matching-Pattern: @PACKAGE@-src-@ANY_VERSION@@ARCHIVE_EXT@
Dversion-Mangle: s/\+\d$//
